Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003047OCamlOCaml generalpublic2004-08-07 18:182011-05-29 12:14
Reporteradministrator 
Assigned Toxleroy 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0003047: Add Unix.setgroups
DescriptionFull_Name: Sylvain Le Gall
Version: 3.08.0
OS: Linux
Submission from: asi-62.asi256ip.easynet.fr (212.180.39.62)


Hello,

Well as we have Unix.getgroups, could we have also Unix.setgroups.
It would be very usefull for certain i am doing ( changing user, which belongs
to a lot of groups ).

Thanks
Regard
Sylvain Le Gall

TagsNo tags attached.
Attached Filesdiff file icon unix.diff [^] (11,056 bytes) 2008-11-06 13:11 [Show Content]

- Relationships

-  Notes
(0004705)
glondu (reporter)
2008-11-06 13:12

I also happen to need Unix.{set,init}groups. Attached is a patch to add these functions.

Tested on Linux (Debian i386), but care has been take to make it work wherever possible.
(0004900)
xleroy (administrator)
2009-04-01 18:51

Thanks for the neatly-prepared patch. Merged in CVS trunk, will go in 3.12.0 release.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2008-11-06 13:11 glondu File Added: unix.diff
2008-11-06 13:12 glondu Note Added: 0004705
2009-04-01 18:51 xleroy Note Added: 0004900
2009-04-01 18:51 xleroy Assigned To => xleroy
2009-04-01 18:51 xleroy Status acknowledged => resolved
2009-04-01 18:51 xleroy Resolution open => fixed
2009-04-01 18:51 xleroy Fixed in Version => 3.12.0+dev
2009-04-01 18:51 xleroy Description Updated
2011-05-29 12:14 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker